local _, iLFRD = ...

iLFRD.encounters = {
	-- Cataclysm
		-- Dragon Soul
		[416] = { -- The Siege of Wyrmrest Temple
			[1] = {	-- Morchok
				['encounterID'] = 311,
				['encounterOrderInInstance'] = 1,
			},
			[2] = { -- Warlord Zon'ozz
				['encounterID'] = 324,
				['encounterOrderInInstance'] = 2,
			},
			[3] = { -- Yor'sahj the Unsleeping
				['encounterID'] = 325,
				['encounterOrderInInstance'] = 3,
			},
			[4] = { -- Hagara the Stormbinder
				['encounterID'] = 317,
				['encounterOrderInInstance'] = 4,
			},
		},
		[417] = { -- Fall of Deathwing
			[1] = { -- Ultraxion
				['encounterID'] = 331,
				['encounterOrderInInstance'] = 5,
			},
			[2] = { -- Warmaster Blackhorn
				['encounterID'] = 332,
				['encounterOrderInInstance'] = 6,
			},
			[3] = { -- Spine of Deathwing
				['encounterID'] = 318,
				['encounterOrderInInstance'] = 7,
			},
			[4] = { -- Madness of Deathwing
				['encounterID'] = 333,
				['encounterOrderInInstance'] = 8,
			},
		},
	-- Mist of Pandaria
		-- Mogu'shan Vaults
			[527] = { -- Guardians of Mogu'shan
				[1] = { -- The Stone Guard
					['encounterID'] = 679,
					['encounterOrderInInstance'] = 1,
				},
				[2] = {	-- Feng the Accursed
					['encounterID'] = 689,
					['encounterOrderInInstance'] = 2,
				},
				[3] = { -- Gara'jal the Spiritbinder
					['encounterID'] = 682,
					['encounterOrderInInstance'] = 3,
				},
			},
			[528] = { -- The Vault of Mysteries
				[1] = {	-- The Spirit Kings
					['encounterID'] = 687,
					['encounterOrderInInstance'] = 4,
				},
				[2] = { -- Elegon
					['encounterID'] = 726,
					['encounterOrderInInstance'] = 5,
				},
				[3] = { -- Will of the Emperor
					['encounterID'] = 677,
					['encounterOrderInInstance'] = 6,
				},
			},
		-- Heart of Fear
			[529] = { -- The Dread Approach
				[1] = {  -- Imperial Vizier Zor'lok
					['encounterID'] = 745,
					['encounterOrderInInstance'] = 1,
				},
				[2] = { -- Blade Lord Ta'yak
					['encounterID'] = 744,
					['encounterOrderInInstance'] = 2,
				},
				[3] = { -- Garalon 
					['encounterID'] = 713,
					['encounterOrderInInstance'] = 3,
				},
			},
			[530] = { -- Nightmare of Shek'zeer
				[1] = { -- Wind Lord Mel'jarak
					['encounterID'] = 741,
					['encounterOrderInInstance'] = 4,
				},
				[2] = { -- Amber-Shaper Un'sok
					['encounterID'] = 737,
					['encounterOrderInInstance'] = 5,
				},
				[3] = { -- Grand Empress Shek'zeer
					['encounterID'] = 743,
					['encounterOrderInInstance'] = 6,
				},
			},
		-- Terrace of Endless Spring
			[526] = { -- Terrace of Endless Spring
				[1] = { -- Protectors of the Endless
					['encounterID'] = 683,
					['encounterOrderInInstance'] = 1,
				},
				[2] = {	-- Tsulong
					['encounterID'] = 742,
					['encounterOrderInInstance'] = 2,
				},
				[3] = { -- Lei Shi
					['encounterID'] = 729,
					['encounterOrderInInstance'] = 3,
				},
				[4] = { -- Sha of Fear
					['encounterID'] = 709,
					['encounterOrderInInstance'] = 4,
				},
			},
		-- Throne of Thunder
			[610] = { -- Last Stand of the Zandalari
				[1] = { -- Jin'rokh the Breaker
					['encounterID'] = 827,
					['encounterOrderInInstance'] = 1,
				},
				[2] = { -- Horridon
					['encounterID'] = 819,
					['encounterOrderInInstance'] = 2,
				},
				[3] = { -- Council of Elders
					['encounterID'] = 816,
					['encounterOrderInInstance'] = 3,
				},
			},
			[611] = { -- Forgotten Depths
				[1] = { -- Tortos
					['encounterID'] = 825,
					['encounterOrderInInstance'] = 4,
				},
				[2] = { -- Megaera
					['encounterID'] = 821,
					['encounterOrderInInstance'] = 5,
				},
				[3] = { -- Ji-kun
					['encounterID'] = 828,
					['encounterOrderInInstance'] = 6,
				},
			},
			[612] = { -- Halls of Flesh-Shaping
				[1] = { -- Durumu the Forgotten
					['encounterID'] = 818,
					['encounterOrderInInstance'] = 7,
				},
				[2] = { -- Primordius
					['encounterID'] = 820,
					['encounterOrderInInstance'] = 8,
				},
				[3] = { -- Dark Animus
					['encounterID'] = 824,
					['encounterOrderInInstance'] = 9,
				},
			},
			[613] = { -- Pinnacle of Storms
				[1] = { -- Iron Qon
					['encounterID'] = 817,
					['encounterOrderInInstance'] = 10,
				},
				[2] = { -- Twin Consorts
					['encounterID'] = 829,
					['encounterOrderInInstance'] = 11,
				},
				[3] = { -- Lei Shen
					['encounterID'] = 832,
					['encounterOrderInInstance'] = 12,
				},
			},
		-- Siege of Orgrimmar
			[716] = { -- Vale of Eternal Sorrows
				[1] = { -- Immerseus
					['encounterID'] = 852,
					['encounterOrderInInstance'] = 1,
				},
				[2] = { -- The Fallen Protectors
					['encounterID'] = 849,
					['encounterOrderInInstance'] = 2,
				},
				[3] = { -- Norushen
					['encounterID'] = 866,
					['encounterOrderInInstance'] = 3,
				},
				[4] = { -- Sha of Pride
					['encounterID'] = 867,
					['encounterOrderInInstance'] = 4,
				},
			},
			[717] = { -- Gates of Retribution
				[1] = { -- Galakras
					['encounterID'] = 868,
					['encounterOrderInInstance'] = 5,
				},
				[2] = { -- Iron Juggernaut
					['encounterID'] = 864,
					['encounterOrderInInstance'] = 6,
				},
				[3] = { -- Kor'kron Dark Shaman
					['encounterID'] = 856,
					['encounterOrderInInstance'] = 7,
				},
				[4] = { -- General Nazgrim
					['encounterID'] = 850,
					['encounterOrderInInstance'] = 8,
				},
			},
			[724] = { -- The Underhold
				[1] = { -- Malkorok
					['encounterID'] = 846,
					['encounterOrderInInstance'] = 9,
				},
				[2] = { -- Spoils of Pandaria
					['encounterID'] = 870,
					['encounterOrderInInstance'] = 10,
				},
				[3] = { -- Thok the Bloodthirsty
					['encounterID'] = 851,
					['encounterOrderInInstance'] = 11,
				},
			},
			[725] = { -- Downfall
				[1] = { -- Siegecrafter Blackfuse
					['encounterID'] = 865,
					['encounterOrderInInstance'] = 12,
				},
				[2] = { -- Paragons of the Klaxxi
					['encounterID'] = 853,
					['encounterOrderInInstance'] = 13,
				},
				[3] = { -- Garrosh Hellscream
					['encounterID'] = 869,
					['encounterOrderInInstance'] = 14,
				},
			},
		
	--Warlords of Draenor
		--Highmaul
			[849] = { -- Walled City
				[1] = { -- Kargath Bladefist
					['encounterID'] = 1128,
					['encounterOrderInInstance'] = 1,
				},
				[2] = { -- The Butcher
					['encounterID'] = 971,
					['encounterOrderInInstance'] = 2,
				},
				[3] = { -- Brackenspore
					['encounterID'] = 1196,
					['encounterOrderInInstance'] = 3,
				},
			},
			[850] = { -- Arcane Sanctum
				[1] = { -- Tectus
					['encounterID'] = 1195,
					['encounterOrderInInstance'] = 4,
				},
				[2] = { -- Twin Ogron
					['encounterID'] = 1148,
					['encounterOrderInInstance'] = 5,
				},
				[3] = { -- Ko'ragh
					['encounterID'] = 1153,
					['encounterOrderInInstance'] = 6,
				},
			},
			[851] = { -- Imperator's Rise
				[1] = { -- Imperator Mar'gok
					['encounterID'] = 1197,
					['encounterOrderInInstance'] = 7,
				},
			},
			
		-- Blackrock Foundry
			[847] = { -- Slagworks
				[1] = { -- Oregorgor
					['encounterID'] = 1202,
					['encounterOrderInInstance'] = 1,
				},
				[2] = { -- Gruul
					['encounterID'] = 1161,
					['encounterOrderInInstance'] = 2,
				},
				[3] = { -- The Blast Furnace
					['encounterID'] = 1154,
					['encounterOrderInInstance'] = 7,
				},
			},
			[846] = { -- The Black Forge
				[1] = { -- Hans'gar and Franzok
					['encounterID'] = 1155,
					['encounterOrderInInstance'] = 3,
				},
				[2] = { -- Flamebender Ka'graz
					['encounterID'] = 1123,
					['encounterOrderInInstance'] = 5,
				},
				[3] = { -- Kromog
					['encounterID'] = 1162,
					['encounterOrderInInstance'] = 8,
				},
			},
			[848] = { -- Iron Assembly
				[1] = { -- Beastlord Darmac
					['encounterID'] = 1122,
					['encounterOrderInInstance'] = 4,
				},
				[2] = { -- Operator Thogar
					['encounterID'] = 1147,
					['encounterOrderInInstance'] = 6,
				},
				[3] = { -- The Iron Maidens
					['encounterID'] = 1203,
					['encounterOrderInInstance'] = 9,
				},
			},
			[823] = { -- Blackhand's Crucible
				[1] = { -- Blackhand
					['encounterID'] = 959,
					['encounterOrderInInstance'] = 10,
				},
			},
			
		-- Hellfire Citadel
			[982] = { -- Hellbreach
				[1] = { -- Hellfire Assault
					['encounterID'] = 1426,
					['encounterOrderInInstance'] = 1,
				},
				[2] = { -- Iron Reaver
					['encounterID'] = 1425,
					['encounterOrderInInstance'] = 2,
				},
				[3] = { -- Kormrok
					['encounterID'] = 1392,
					['encounterOrderInInstance'] = 3,
				},
			},
			[983] = { -- Halls of Blood
				[1] = { -- Hellfire High Council
					['encounterID'] = 1432,
					['encounterOrderInInstance'] = 4,
				},
				[2] = { -- Kilrogg Deadeye
					['encounterID'] = 1396,
					['encounterOrderInInstance'] = 5,
				},
				[3] = { -- Gorefiend
					['encounterID'] = 1372,
					['encounterOrderInInstance'] = 6,
				},
			},
			[984] = { -- Bastion of Shadows
				[1] = { -- Shadow-Lord Iskar
					['encounterID'] = 1433,
					['encounterOrderInInstance'] = 7,
				},
				[2] = { -- Socrethar the Eternal
					['encounterID'] = 1427,
					['encounterOrderInInstance'] = 8,
				},
				[3] = { -- Tyrant Velhari
					['encounterID'] = 1394,
					['encounterOrderInInstance'] = 11,
				},
			},
			[985] = { -- Desturctor's Rise
				[1] = { -- Fel Lord Zakuun
					['encounterID'] = 1391,
					['encounterOrderInInstance'] = 9,
				},
				[2] = { -- Xhul'Horac
					['encounterID'] = 1447,
					['encounterOrderInInstance'] = 10,
				},
				[3] = { -- Mannoroth
					['encounterID'] = 1395,
					['encounterOrderInInstance'] = 12,
				},
			},
			[986] = { -- The Black Gate
				[1] = { -- Archimonde
					['encounterID'] = 1438,
					['encounterOrderInInstance'] = 13,
				},
			},
}